	<%
	' checkenctype.asp - script used to check results submitted to the server via
	' the enctypetest.asp script. Script detects whether info was submitted using
	' the GET or POST methods. Data is decoded and output to the user, who can then
	' decide whether or not the submitted data was decoded correctly. Output is 
	' generated in either iMODE HTML, WML, or XHTML depending on the value of "content".
	'
	' This script is based on the checknonalpha.asp script used for the TriMode Browser tests.
	'
	' usage: checknonalpha.asp?content=[WML|IMODE|XHTML]&textfield=[#PCDATA]
	' note: case is significant in atribute values
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	' detect post or get and set up vars
    if (Request.QueryString <> "") then
		method="get"
		content=Request.QueryString("content")
		decoded_textfield = Request.QueryString ("textfield")
		enctypeCode = Request.QueryString ("enctypeCode") 		
		querystr = Request.QueryString
    else 
		method="post"
    		content=Request.Form("content")
		decoded_textfield = Request.Form ("textfield") 
		enctypeCode = Request.Form ("enctypeCode") 	
		querystr = Request.Form
    end if
    
    ' extract textfield string directly to get the unencoded version (ASP will 
    '  automatically decode it when you use the Request object)
   	idxStart = instr(querystr,"textfield") + 10
   	idxEnd = instr(idxStart, querystr, "&") - 1
   	if (idxEnd > 0 ) then
   		textfield = mid(querystr, idxStart, idxEnd-idxStart+1) 
   	else
   	   	textfield = mid(querystr, idxStart)	
   	end if

   	' substitute non-allowed characters (XML) with correct entities
   	decoded_textfield = Replace(decoded_textfield, "&", "&amp;")
	decoded_textfield = Replace(decoded_textfield, "<", "&lt;")
	decoded_textfield = Replace(decoded_textfield, ">", "&gt;")
	decoded_textfield = Replace(decoded_textfield, "'", "&#39;")
	if (content = "WML") then
		decoded_textfield = Replace(decoded_textfield, "$", "$$")
	end if
   	
   	' output correct header based on what content type is being used
    if (content = "IMODE") then
		Response.Write "<html>" & vbCrLf & "<head><title>Enctype " & enctypecode & " Check</title></head>" & vbCrLf & "<body>" & vbCrLf
		nexttest="WML"
	elseif (content = "XHTML") then
		Response.Write "<?xml version='1.0'?>" & vbCrLf & "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML Basic 1.0//EN' " & vbCrLf & "'http://www.w3.org/TR/xhtml-basic/xhtml-basic10.dtd'>" & vbCrLf
		Response.Write "<html xmlns='http://www.w3.org/1999/xhtml'>" & vbCrLf
		Response.Write "<head><title>Enctype " & enctypecode & " Check</title></head>" & vbCrLf & "<body>" & vbCrLf
		nexttest="post"
	else
		Response.ContentType="text/vnd.wap.wml"
		Response.Write "<?xml version='1.0'?>" & vbCrLf & "<!DOCTYPE wml PUBLIC '-//WAPFORUM//DTD WML 1.2//EN' 'http://www.wapforum.org/DTD/wml_1.2.xml'>" & vbCrLf
		Response.Write "<wml>" & vbCrLf & "<card title='Enctype " & enctypecode & " Check'>"		
		nexttest="XHTML"
	end if
	
	' output the encoded textfield string as well as the decoded version 
	'  - the decoded version should exactly match what the user entered in extend_char.asp form
	Response.Write "<h3>Enctype Check: " & enctypecode & " </h3>" & vbCrLf
	
	Response.Write "<p>The following string should match what you entered.</p>" & vbCrLf
	Response.Write "<p>decoded: <br />" & decoded_textfield & "<br />" & vbCrLf
	Response.Write "encoded: <br />" & textfield & "</p>" & vbCrLf
	
	
	
	' set up a link to allow user to run the same test again 
	'  (useful since these tests only select 10 out of about 60 chars)
	Response.Write "<p><a href='enctypetest.asp?content=" & content & "&amp;method=" & method & "&amp;enctypeCode=" & enctypeCode & "'>Try Again</a></p>" & vbCrLr


	
    Response.Write "<p><a href='../../PostResults.html'>Post Results</a></p>" & vbCrLr
	
	'output appropriate footer based on content
	if (content = "IMODE") or (content = "XHTML") then
		Response.Write "</body>" & vbCrLf & "</html>"
	else
		Response.Write "</card>" & vbCrLf & "</wml>"
	end if
	%>
